
Smart Proxy - Bug #1806

puppet 2.6 depreciates puppetca

08/02/2012 04:10 PM - Corey Osman

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version: Bug scrub   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

puppetca used to be the only way to list certificates.  Since 2.6 puppetca still exists but shows a depreciation warning  instead of

listing certs.

We need to detect which puppet version is being used and then if  >2.6 use puppet cert --list instead of trying puppetca --list.

Otherwise I have to remove the puppetca binary so foreman-proxy doesn't find it.

W, [2012-08-02T15:55:52.908070 #9377]  WARN -- : Failed to run puppetca: 

E, [2012-08-02T15:55:52.908539 #9377] ERROR -- : Failed to list certificates: Execution of puppetc

a failed, check log files

D, [2012-08-02T16:04:59.853686 #9377] DEBUG -- : Found puppetca at /usr/bin/puppetca

D, [2012-08-02T16:04:59.853943 #9377] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2012-08-02T16:04:59.854022 #9377] DEBUG -- : Executing /usr/bin/sudo -S /usr/bin/puppetca --li

st --all

W, [2012-08-02T16:04:59.922206 #9377]  WARN -- : Failed to run puppetca: 

E, [2012-08-02T16:04:59.922678 #9377] ERROR -- : Failed to list certificates: Execution of puppetc

a failed, check log fil

Related issues:

Is duplicate of Smart Proxy - Bug #1941: Only the "puppet" command should be ... Closed 11/14/2012

History

#1 - 08/26/2012 04:10 AM - Ohad Levy

which version of puppet is broken? 2.6 works fine, 2.7 as well

#2 - 08/28/2012 04:37 AM - Corey Osman

I actually have a fix for this.  Will send the pull request soon.

#3 - 11/16/2012 04:16 AM - Ohad Levy

- Status changed from New to Duplicate

- Target version set to Bug scrub
